# $Revision: 1.65 $, $Date: 2003/01/20 14:08:26 $
#
# FYI: gmp didn't compile with devel version of libtool (1.4e)
#
# Conditional build (only one option at time makes sense; if more specified
#   - only "highest" is used):
# _with_mmx	- with MMX instructions			(i586, i686 targets)
# _with_p3mmx	- with Pentium /// MMX instructions	(i686 target)
# _with_k6	- with AMD K6 instructions		(i586 target)
# _with_k62	- with AMD K6-2/K6-3 instructions	(i586 target)
# _with_k7	- with AMD Athlon/Duron instructions	(i686 target)

Summary:	GNU arbitrary precision library
Summary(de):	Beliebige Genauigkeits-Library
Summary(es):	Biblioteca de precisin arbitraria de la GNU
Summary(fr):	Bibliothque de calcul de prcision
Summary(pl):	Biblioteka arytmetyczna GNU
Summary(pt_BR):	Biblioteca de preciso arbitrria da GNU
Summary(uk):	̦ GNU צϧ Ԧ
Summary(ru):	 GNU  
Name:		gmp
Version:	4.1.2
Release:	1
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.gnu.org/pub/gnu/gmp/%{name}-%{version}.tar.gz
Patch0:		%{name}-info.patch
Patch1:		%{name}-am_fix.patch
Patch2:		%{name}-asmcpu.patch
URL:		http://www.swox.com/gmp/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libgmp3

%ifarch i586
%define _cpu %{?_with_k62:k62}%{!?_with_k62:%{?_with_k6:k6}%{!?_with_k6:%{?_with_mmx:pentiummmx}%{!?_with_mmx:i586}}}
%else
%ifarch i686
%define _cpu %{?_with_p3mmx:pentium3}%{!?_with_p3mmx:%{?_with_k7:athlon}%{!?_with_k7:%{?_with_mmx:pentium2}%{!?_with_mmx:i686}}}
%else
%define _cpu %{_arch}
%endif
%endif

%description
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands. GNU MP is fast for several reasons: It uses fullwords
as the basic arithmetic type, it uses fast algorithms, it carefully
optimizes assembly code for many CPUs' most common inner loops and it
generally emphasizes speed over simplicity/elegance in its operations.

Install the gmp package if you need a fast arbitrary precision
library.

%description -l de
Das gmp-paket enthlt GNU MP, eine Library fr Arithmetik bei
beliebiger Genauigkeit, Operationen mit Intergern mit Vorzeichen,
Rationale Zahlen, und Floating Point-Zahlen. GNU MP wurde fr
Geschwindigkeit sowohl fr kleine als auch fr sehr groe Operanden
optimiert. GNU MP ist aus mehreren Grnden schnell: Es benutzt
fullwords als grundlegenden Arithmetik-Typ, benutzt schnelle
Algorithmen, und benutzt Assembler-Code fr verschiedene CPUs, und
legt mehr Wert auf Geschwindigkeit als auf Einfachheit der Funktionen.

Installieren Sie das gmp-Paket, wenn Sie eine schnelle Library fr
beliebige Genauigket brauchen.

%description -l es
Esta es la biblioteca GNU de precisin arbitraria. Da acceso a
funciones para manipular arbitrariamente grandes nmeros con
interfaces de alto o bajo nivel.

%description -l fr
Ce package contient la bibliothque GNU MP. Cette dernire permet de
calculer avec une grande prcision sur des nombres entiers, rationnels
ou mme des fractions, signs ou non. GNU MP a t conue pour tre
rapide pour les petits nombres ainsi que les trs grands grce 
plusieurs techniques (calcul sur plusieurs chiffres hexa simultans,
algorithmes optimiss, utilisation de l'assembleur pour les routines
critiques) parfois au dtriment de la simplicit ou l'lgance.

Installez ce package si vous avez besoin d'une bibliothque de calcul
de prcision rapide

%description -l pl
Pakiet zawiera bibliotek arytmetyczn wysokiej precyzji. Daje ona
dostp do szerokiego grona szybkich funkcji arytmetycznych
dziaajcych na liczbach cakowitych, rzeczywistych i
zmiennoprzecinkowych.

%description -l pt_BR
Esta  a biblioteca GNU de preciso arbitrria. Ela d acesso a
funes para manipular arbitrariamente grandes nmeros com interfaces
de alto ou baixo nvel.

%description -l uk
 ¦̦ GNU צϧ Ԧ. ¦     
   æ       
       Ҧ.

%description -l ru
  GNU  .    
          
 -,     .

%package devel
Summary:	GNU Arbitrary Precision header files, static libraries, and documentation
Summary(de):	Entwicklungstools fr GNU MP
Summary(es):	Archivos de inclusin, bibliotecas y documentacin de la biblioteca gmp
Summary(fr):	Outils de dveloppement pour la bibliothque de calcul GMP
Summary(pl):	Pliki nagwkowe i dokumentacja do biblioteki gmp
Summary(pt_BR):	Arquivos de incluso, bibliotecas e documentao da biblioteca gmp
Summary(uk):	   ¦̦ GNU צϧ Ԧ
Summary(ru):	    GNU  
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libgmp3-devel

%description devel
The static libraries, header files and documentation for using the GNU
MP arbitrary precision library in applications.

If you want to develop applications which will use the GNU MP library,
you'll need to install the gmp-devel package.

%description devel -l de
Statische Libraries, Header Files und Dokumentation zum Benutzen der
GNU MP Library.

%description devel -l es
Estas son las bibliotecas, archivos de inclusin y documentacin para
usar la biblioteca GNU de precisin arbitraria en tus programas.

%description devel -l fr
Ce package comprend les bibliothques statiques, les fichiers
d'en-tte et la documentation ncessaires pour utiliser la
bibliothque de calcul de prcision dans les applications.

Vous n'avez besoin de ce package que si vous comptez programmer des
applications utilisant la bibliothque GNU MP.

%description devel -l pl
Pliki nagwkowe i dokumentacja do gmp. Dziki temu pakietowi bdziesz
mg tworzy wasne programy z wykorzystaniem tej biblioteki.

%description devel -l pt_BR
Estas so as bibliotecas, arquivos de incluso e documentao para
usar a biblioteca GNU de preciso arbitrria em seus programas.

%description devel -l uk
 ¦̦ ͦ,   æ  
¦̦ GNU צϧ Ԧ    .

%description devel -l ru
  ,     
 GNU      .

%package static
Summary:	GNU Arbitrary Precision static library
Summary(pl):	Biblioteka statyczna gmp
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com gmp
Summary(uk):	̦ GNU צϧ Ԧ -  ¦̦
Summary(ru):	 GNU   -  
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static gmp library.

%description static -l pl
Biblioteka statyczna gmp.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com gmp.

%description static -l uk
  ¦̦ GNU צϧ Ԧ.

%description static -l ru
   GNU  .

%package c++
Summary:	GNU arbitrary precision library - C++ interface
Summary(pl):	Biblioteka arytmetyczna GNU - interfejs C++
Group:		Libraries
Requires:	%{name} = %{version}

%description c++
C++ class interface to GNU arbitrary precision library.

%description c++ -l pl
Interfejs w postaci klas C++ do biblioteki arytmetycznej GNU.

%package c++-devel
Summary:	GNU arbitrary precition library - C++ interface headers
Summary(pl):	Biblioteka arytmetyczna GNU - pliki nagwkowe interfejsu C++
Group:		Development/Libraries
Requires:	%{name}-c++ = %{version}
Requires:	%{name}-devel = %{version}

%description c++-devel
Header files for C++ class interface to GNU arbitrary precision
library.

%description c++-devel -l pl
Pliki nagwkowe interfejsu w postaci klas C++ do biblioteki
arytmetycznej GNU.

%package c++-static
Summary:	GNU arbitrary precition library - C++ static library
Summary(pl):	Biblioteka arytmetyczna GNU - statyczna biblioteka C++
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}

%description c++-static
Static version of C++ class interface to GNU arbitrary precision
library.

%description c++-static -l pl
Statycza wersja interfejsu w postaci klas C++ do biblioteki
arytmetycznej GNU.

%prep
%setup -q
%patch0 -p1
%if %(grep -q -e '--tag' `which libtool`; echo $?)
%patch1 -p1
%endif
%patch2 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal} -I mpfr
%{__autoconf}
%{__automake}
%configure \
	--with-cpu=%{_cpu} \
	--enable-cxx \
	--enable-fft

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%post	c++ -p /sbin/ldconfig
%postun	c++ -p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgmp.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgmp.so
%{_libdir}/libgmp.la
%{_includedir}/gmp.h
%{_infodir}/gmp.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libgmp.a

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgmpxx.so.*.*

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgmpxx.so
%{_libdir}/libgmpxx.la
%{_includedir}/gmpxx.h

%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libgmpxx.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gmp.spec,v $
Revision 1.65  2003/01/20 14:08:26  trojan
- updated to 4.1.2

Revision 1.64  2002/12/05 00:28:25  undefine
- updated to 4.1.1

Revision 1.63  2002/11/25 14:13:04  ankry
- massive attack: no need for 755 for *.la

Revision 1.62  2002/10/09 13:14:25  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.61  2002/08/18 10:56:42  misiek
- post 4.1 fixes for gmp (affects people with sawfish problems); rel 3

Revision 1.60  2002/07/23 16:09:51  qboosh
- apply patch1 only for libtool < 1.4a
- separated c++ library packages (seldom used and requires libstdc++)
- release 2

Revision 1.59  2002/07/21 19:49:43  kloczek
- updated to 1.0 and added "-I mpfr" aclocal parameters.

Revision 1.58  2002/06/23 20:32:25  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.57  2002/05/21 23:13:12  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.56  2002/05/15 10:34:34  qboosh
- fixed pentium{mmx,2,3,4} optimization in asmcpu patch (#140); release 4

Revision 1.55  2002/04/25 16:25:29  arturs
fixed a small typo

Revision 1.54  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.53  2002/03/10 14:56:10  kloczek
- release 3.

Revision 1.52  2002/02/23 02:17:45  kloczek
- adapterized.

Revision 1.51  2002/02/22 23:28:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.50  2002/01/29 17:05:39  qboosh
- updated asmcpu patch is back (it wasn't obsolete!), --host doesn't work
- release 2

Revision 1.49  2002/01/24 20:07:17  kloczek
- updated to 4.0.1 (bugfix release).

Revision 1.48  2002/01/22 10:08:03  filon
- oh, no unclosed if, close it

Revision 1.47  2002/01/22 10:04:41  filon
- posted highly destroyed version, now good (really)

Revision 1.45  2002/01/22 09:49:09  filon
- added else rule for defining _cpu if arch is not i[56]86 :-)
- release 4, i386 should build now

Revision 1.44  2002/01/20 14:40:37  filon
- defining cpu, third take: use --host configure parameter
- really works, release is 3, of course

Revision 1.43  2002/01/20 14:18:37  filon
- redefine back _target_cpu after configure

Revision 1.42  2002/01/20 12:27:23  filon
- change _target_cpu macro according to choosen architecture
- use info patch
- release 3

Revision 1.41  2002/01/18 02:13:06  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.40  2002/01/02 23:13:02  kloczek
- removed acfix, asmcpu obsoleted patches,
- added am_fix patch (remove --tag=CC from libtool parameters).

Revision 1.39  2002/01/02 12:21:06  kloczek
- release 2: added libgmp3-{,devel} to Obsoletes for allow upgrade from MDK.

Revision 1.38  2001/12/15 17:05:03  filon
- added NEWS, README files to docs
- updated to 4.0.0 (don't wor, library version doesn't change)
- reason: many improvments, bugfixes + support for P4 etc...

Revision 1.37  2001/09/26 10:38:29  qboosh
- BuildRequires: libtool

Revision 1.36  2001/08/19 16:41:02  kloczek
- release 7.

Revision 1.35  2001/08/15 17:24:45  blues
- enable-fft configure option added

Revision 1.34  2001/08/11 18:39:53  kloczek
- release 6.

Revision 1.33  2001/08/11 10:26:28  qboosh
- oops, forgot about not i586/i686 cpus...

Revision 1.32  2001/08/11 08:58:46  qboosh
- added bconds for using MMX/P3MMX/K6/K62/K7 instructions
- some fixes in pl translations
- ugly ac fix

Revision 1.31  2001/08/10 13:18:45  kloczek
- updated to 3.1.1,
- removed all outdated patches,
- spec adapterixed.

Revision 1.30  2001/08/09 18:58:35  blues
typo

Revision 1.29  2001/08/09 18:38:02  blues
- even more translations

Revision 1.28  2001/08/09 18:27:26  blues
- some translations

Revision 1.27  2001/08/09 13:55:42  agaran
s/configure/configure2_13/
%{__aclocal}/autoconf regeneration dont help

Revision 1.26  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.24  2001/05/29 09:14:40  kloczek
- release 15.

Revision 1.23  2001/05/02 00:42:08  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.22  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.21  2000/05/24 16:50:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.20  2000/05/18 23:46:00  kloczek
- spec adapterized.

Revision 1.19  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.18  2000/04/01 11:14:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.16  1999/12/11 12:18:06  kloczek
- release 14,
- added Group(pl),
- group changed to Development/Libraries for devel.

Revision 1.15  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.14  1999/09/21 02:45:44  kloczek
- release 12,
- updated Source url and URL,
- added two patches from home page,
- added sparc patch for sparc from rawhide,
- added de, fr translations from BeroLinux gmp spec file.

Revision 1.13  1999/09/19 09:40:59  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.12  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat May 29 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.0.2-11]
- now package is FHS 2.0 compliant,
- recompiled on new rpm.

* Wed Apr 28 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.0.2-10]
- standarized {un}registering info pages (added gmp-info.patch),
- /sbin/ldconfig is now runed as -p parameter in %post{un},
- added static subpackage,
- added stripping shared libraries.

* Sat Mar 14 1999 David Kuestler <kuestler@zeta.org.au>
- Patch for PowerPC ( Power Mac )

* Thu Feb 18 1999 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Add bugfix patches from gmp homepage. (These are supposed to go into
  gmp-2.0.3 when it is finally released.)
- Change the files section to use %attr tags (now buildable by non-root)
- Add a Prefix: tag.
- Change the Copyright to LGPL.
- Change the URL to the gmp homepage.

* Thu Feb 11 1999 Michael Johnson <johnsonm@redhat.com>
- include the private header file gmp-mparam.h because several
  apps seem to assume that they are building against the gmp
  source tree and require it.  Sigh.

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- libtoolize to work on arm

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- yet another touch of the spec file

* Wed Sep  2 1998 Michael Fulbright <msf@redhat.com>
- looked over before inclusion in RH 5.2

* Sat May 24 1998 Dick Porter <dick@cymru.net>
- Patch Makefile.in, not Makefile
- Don't specify i586, let configure decide the arch

* Sat Jan 24 1998 Marc Ewing <marc@redhat.com>
- started with package from Toshio Kuratomi <toshiok@cats.ucsc.edu>
- cleaned up file list
- fixed up install-info support
